import { setupDevtoolsPlugin } from '@vue/devtools-api'
import { App } from 'vue'


declare global {
  const __VUE_PROD_DEVTOOLS__: boolean;
}


export function setupDevtools (app: App) {
  setupDevtoolsPlugin({
  id: '@yzcode/vue-devtool-vuex-z',
  label: 'vue-devtool-vuex',
  packageName: '@yzcode/vue-devtool-vuex-z',
  homepage: '',
  app,
}, api => {
    console.log(api, '能用否')
  })
}


export default {
  install (app: App, options = {}) {
    // Our Vue plugin logic
    if (process.env.NODE_ENV === 'development' || __VUE_PROD_DEVTOOLS__) {
      setupDevtools(app)  
    }
  }
}